<?php
namespace Services;

use Doctrine\DBAL\Connection;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

class GerarPrevisaoProcedureCia extends StoredProcedure {

	public function __construct(Connection $connection, $procedureName = 'GERA_PREVPAXCIA_PROD') {
		parent::__construct($connection, $procedureName);
	}
	public function executeProcedure($P_CDFILIAL, $P_CDFILIPROC, $P_NRPREVISAOPRO, $P_CDCIA, $P_CDOPERADOR, $P_NRORG) {

		$this->addParam(new Param('P_CDFILIAL', Param::PARAM_INPUT, $P_CDFILIAL));
		$this->addParam(new Param('P_CDFILIPROC', Param::PARAM_INPUT, $P_CDFILIPROC));
		$this->addParam(new Param('P_NRPREVISAOPRO', Param::PARAM_INPUT, $P_NRPREVISAOPRO));
		$this->addParam(new Param('P_CDCIA', Param::PARAM_INPUT, $P_CDCIA));
		$this->addParam(new Param('P_CDOPERADOR', Param::PARAM_INPUT, $P_CDOPERADOR));
		$this->addParam(new Param('P_NRORG', Param::PARAM_INPUT, $P_NRORG));
	    $this->addParam(new Param('P_NRLISTAERROS', Param::PARAM_OUTPUT, null, null, 20));
	    $result = $this->execute();
		// clear params
		$this->params = array();
		return $result;
	}
}